# -*- coding: utf-8 -*-
"""
Created on Tue Nov 24 22:01:21 2020

@author: RefaelWhyte
"""

import chronoptics.tof as tof

csf_file = "frames.csf"

reader = tof.CsfReader(csf_file)
# Count the frames of each type

for k, v in vars(tof.FrameType).items():
    if k.startswith("__"):
        continue

    nframes = reader.getFrameCounts(v)
    print("Frame type: {}, Number of frames: {}".format(k, nframes))

# read a frame.
frame = reader.readFrame()
